Vincent Video
Endpoint: POST https://4zapi.com/ent/v2/text2video
Generate videos based on text prompt words.
Request body (application/json)
model(string, required): Model nameprompt(string, required): text prompt wordaspect_ratio(string): Aspect ratio, e.g. 16:9, 9:16, 1:1 ["16:9", "9:16", "4:3", "3:4", "1:1", "auto"]bgm(boolean): Whether to add background musiccallback_url(string): Task completion callback URLduration(integer): Video duration (seconds)resolution(string): Resolution, such as 720p/1080pseed(integer): Random seed, 0 is randomstyle(string): Style parameter ["general", "anime"]watermark(boolean): Whether to add watermark
Request example
{
"aspect_ratio": "16:9",
"duration": 5,
"model": "viduq2",
"prompt": "一只猫在草地上奔跑"
}